# import click


# @click.command()
# @click.option("--num", "-n", default=1, help="nombre de bonjour")
# @click.argument("name", help="nom de la personne à saluer")
# def hello(num, name):
#     """Dit bonjour pour vous mettre de bonne humeur.""""
#     for i in range(num):
#         click.echo(f"{i+1:02d}. Bonjour, {name}!")


import typer
from typing_extensions import Annotated

app = typer.Typer()


@app.command()
def hello(
    name: Annotated[str, typer.Argument(help="nom de la personne à saluer")],
    num: Annotated[int, typer.Option("--num", "-n")] = 1,
):
    for i in range(num):
        typer.echo(f"{i+1:02d}. Bonjour, {name}!")


def main():
    typer.run(hello)
